org.eclipse.rap.fileupload

## Interface FileDetails

    public interface FileDetails

Provides details of the uploaded file like file name, content-type and size

### Method Summary

Methods
`java.lang.String` `getContentType()` The content type as transmitted by the uploading client.
`java.lang.String` `getFileName()` The original file name of the uploaded file, as transmitted by the client.

### Method Detail

#### getContentType

    java.lang.String getContentType()

The content type as transmitted by the uploading client.

Returns:
  the content type or `null` if unknown

#### getFileName

    java.lang.String getFileName()

The original file name of the uploaded file, as transmitted by the client. If a path was included in the request, it is stripped off.

Returns:
  the plain file name without any path segments

Copyright (c) EclipseSource and others 2002, 2018. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0